from pickle import load, dump

stopWords={'tenidos', 'serias', 'éramos', 'algunos', 'nuestras', 'habrias', 'somos', 'estamos', 'como', 'es', 'tuvimos', 'suyo', 'tuyas', 'seras', 'tendremos', 'estaré', 'hubieramos', 'seran', 'hubo', 'estadas', 'estuvimos', 'esten', 'mucho', 'habría', 'que', 'hubisteis', 'todo', 'tendré', 'han', 'tengo', 'estuvieron', 'contra', 'estáis', 'eras', 'tengan', 'sí', 'habían', 'estén', 'tendrías', 'tus', 'estariais', 'hubieseis', 'sere', 'seriamos', 'tendreis', 'ellas', 'habiendo', 'sintiendo', 'hubiéramos', 'esta', 'ellos', 'sea', 'erais', 'pero', 'tendras', 'hemos', 'hubiesemos', 'tenemos', 'un', 'serian', 'ya', 'tuviésemos', 'si', 'estarian', 'estaríamos', 'tuvieramos', 'tendrás', 'seria', 'sentidas', 'tendrias', 'unos', 'has', 'habras', 'estas', 'fuimos', 'muchos', 'vosostras', 'estuviese', 'estarias', 'tuve', 'sin', 'tendría', 'tenga', 'mio', 'fueras', 'fueron', 'tengas', 'estuvo', 'estaran', 'seríais', 'tendrán', 'habías', 'estaba', 'estuviesen', 'habrás', 'tengamos', 'quien', 'fueses', 'estuviesemos', 'tendre', 'sereis', 'fuesen', 'estemos', 'habran', 'cuando', 'estar', 'seas', 'quienes', 'esa', 'estéis', 'otras', 'algunas', 'tuviesen', 'habremos', 'estariamos', 'sois', 'serían', 'habre', 'tendriamos', 'tú', 'fuésemos', 'mí', 'habiais', 'tened', 'de', 'teniais', 'estuvierais', 'seremos', 'tuvieses', 'seríamos', 'no', 'tuviste', 'habrías', 'estad', 'vuestro', 'estuviésemos', 'habra', 'esas', 'eramos', 'estuviéramos', 'hubieran', 'tuviese', 'suya', 'nuestros', 'estuvisteis', 'estados', 'habidos', 'serán', 'he', 'habrán', 'estada', 'serás', 'hubiesen', 'nos', 'ha', 'muy', 'tendréis', 'sean', 'yo', 'estaria', 'más', 'se', 'lo', 'habíamos', 'estado', 'habéis', 'estaremos', 'ti', 'hubieras', 'tuvo', 'los', 'esto', 'habré', 'hayas', 'tiene', 'seáis', 'tenia', 'vuestras', 'tenéis', 'eran', 'son', 'estarán', 'estuviera', 'tengáis', 'habriamos', 'eso', 'tenían', 'estarían', 'esté', 'haya', 'estais', 'fuisteis', 'estarías', 'nuestro', 'fuera', 'suyos', 'estuvieses', 'sera', 'hubimos', 'él', 'tuyo', 'otros', 'tuvieseis', 'fuese', 'hubiera', 'habeis', 'cual', 'estes', 'estara', 'tenida', 'qué', 'mas', 'tendrian', 'ella', 'estuvieras', 'tenía', 'habrian', 'teneis', 'hayáis', 'tenian', 'fueran', 'del', 'estaras', 'estabas', 'tuviesemos', 'hubierais', 'vosostros', 'tenido', 'habriais', 'mias', 'tendrían', 'tuvisteis', 'suyas', 'habíais', 'vuestros', 'asi', 'otro', 'estés', 'tuvieran', 'seais', 'hube', 'estos', 'tuyos', 'estan', 'estás', 'al', 'mías', 'por', 'nosotras', 'las', 'seré', 'sentido', 'habrá', 'será', 'tendriais', 'habríamos', 'fuiste', 'a', 'estaban', 'habríais', 'me', 'tendríamos', 'estabais', 'también', 'nada', 'mios', 'hayais', 'donde', 'hubieses', 'hubiésemos', 'tienen', 'o', 'mi', 'había', 'habidas', 'tienes', 'tuviera', 'habreis', 'estareis', 'fui', 'hayan', 'con', 'estuvieseis', 'tuvieron', 'seamos', 'nosotros', 'siente', 'habian', 'esteis', 'habiamos', 'mis', 'habia', 'están', 'tendríais', 'entre', 'estabamos', 'otra', 'míos', 'hay', 'estando', 'mío', 'tenías', 'habias', 'hasta', 'tuya', 'nuestra', 'os', 'soy', 'estaríais', 'tu', 'la', 'fueramos', 'está', 'desde', 'estarás', 'seriais', 'habido', 'fue', 'era', 'fueseis', 'habida', 'para', 'tendran', 'tenidas', 'tendria', 'sería', 'estaría', 'habria', 'tenias', 'le', 'tambien', 'tuvierais', 'teniendo', 'su', 'estará', 'mia', 'estuvieramos', 'todos', 'vuestra', 'poco', 'uno', 'estare', 'hayamos', 'esos', 'el', 'ese', 'sentidos', 'teniamos', 'este', 'e', 'ni', 'hubiste', 'seréis', 'sentida', 'teníais', 'tuviéramos', 'ante', 'sobre', 'y', 'mía', 'hubieron', 'tengais', 'durante', 'fuerais', 'en', 'te', 'estoy', 'estuve', 'fuesemos', 'tuvieras', 'estábamos', 'tendra', 'una', 'hubiese', 'tendrá', 'tanto', 'algo', 'sus', 'fuéramos', 'antes', 'sentid', 'les', 'estuviste', 'estaréis', 'habrían', 'serías', 'teníamos', 'eres', 'habréis', 'porque', 'estuvieran'}

abc={'q','w','e','r','t','y','u','i','o','p','a','s','d','f','g','h','j','k','l','z','x','c','v','b','n','ñ','m',' ','.','á','é','í','ó','ú'}

def save_data(data, filename):
	with open(filename, 'wb') as outfile:
		dump(data, filename)

def load_data(data, filename):
	with open(filename, 'wb') as outfile:
		load(data, filename)	


